package com.malk.guyuan.service.tencent;

import com.tencentcloudapi.common.exception.TencentCloudSDKException;

import java.util.Map;

public interface TXYInvoice {

    /**
     * 混贴票据识别
     *
     * @param imageUrl 图片不超过6m
     */
    Map doMixedInvoiceOCR(String imageUrl) throws TencentCloudSDKException;

    /**
     * 发票验真[新版]
     *
     * @param invoiceCode         票代码（10或12 位），全电发票为空
     * @param checkCode           校验码后 6 位，增值税普通发票、增值税电子普通发票、增值税普通发票(卷式)、增值税电子普通发票(通行费)时必填;
     * @param excludingTax/amount 不含税金额，增值税专用发票、增值税电子专用发票、机动车销售统一发票、二手车销售统一发票、区块链发票时必填; 全电发票为价税合计(含税金额)
     */
    Map VatInvoiceVerifyNew(String invoiceKind, String invoiceCode, String invoiceNo, String invoiceDate, String amount, String checkCode, String excludingTax) throws TencentCloudSDKException;
}
