package com.malk.repository.entity.slave;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.malk.base.BasePo;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.data.jpa.domain.support.AuditingEntityListener;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.EntityListeners;
import javax.persistence.Table;

/**
 * 从表记录
 */
@Entity
@Table(name = "mc_table")
@EntityListeners(AuditingEntityListener.class)
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class McTablePo extends BasePo {

    @Column
    private String tName;

    @Column
    private String tDesc;
}
