package com.malk.server.fxiaoke;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * 读取配置文件参考FilePah
 */
@Data
@Component
@ConfigurationProperties(prefix = "fxiaoke")
public class FXKConf {

    /// 纷享销客 corpId
    private String corpId;

    private String appId;

    private String appSecret;

    /// 永久授权码
    private String permanentCode;
}
