package com.malk.service.aliwork;


import com.malk.server.aliwork.YDConf;
import com.malk.server.aliwork.YDParam;

import java.util.List;
import java.util.Map;

public interface YDService {

    /**
     * 操作数据 [异步]
     */
    Object operateData(YDParam param, YDConf.FORM_OPERATION type);

    /**
     * 查询数据 [子表]
     */
    List<Map> queryDetails(YDParam ydParam);

    /**
     * 全表复制 [镜像] todo, 明细超过20条未处理, 组件替换和忽略未处理
     *
     * @param cParam 当前表数据, 实例ID
     * @param sParam 目标表数据, 表单ID/流程ID
     */
    Object copyFormData(YDParam cParam, YDParam sParam);
}
