package com.malk.service.dingtalk;

import java.util.Map;

public interface DDClient {

    /**
     * 获取访问授权
     */
    String getAccessToken();

    String getAccessToken(String appKey, String appSecret);

    /**
     * token授权参数: 旧版本
     */
    Map initTokenParams();

    /**
     * token授权参数: 新版本
     */
    Map initTokenHeader();

    /**
     * 上传审批附件
     *
     * @param urlFile      远程文件地址
     * @param fileNamePure 文件名称[后缀自动通过地址获取]
     */
    Map uploadFileFormUrl(String accessToken, String userId, String urlFile, String fileNamePure);

    Map uploadFileFormUrl(String accessToken, String userId, String filePath);

  
}

