package com.malk.service.h3yun;

import java.io.File;
import java.util.Map;

public interface CYClient {

    /**
     * 获取附件临时免登地址 [此返回地址有效期为三十分钟]
     *
     * @param attachmentId 获取原附件预览地址 [只能作为在线预览, 接口传递无登录态, 参考 getAttachmentPreviewUrl]
     * @return 返回地址无后缀了[选择对应类型软件可打开], 建议通过氚云文件名做处理, 重新命名储存文件名称与后缀
     */
    String getTemporaryUrls(String accessToken, String attachmentId);

    /**
     * 储存氚云附件到本地, 保留文件名称与格式
     */
    File saveFromTemporaryUrl(String accessToken, Map attachmentId);
}
