## 上传发票

```
/*** mc 系列之 mjs
 * 对接宜搭公共JavaScript库
 * 公共库地址：https://mc.cloudpure.cn/mjs/mjs.min.js
 ***/
export function _mjsLoad() {
  // const src = "https://mc.cloudpure.cn/mjs/mjs.min.js"
  // const src = "http://127.0.0.1:7001/dist/mjs.js"
  const src = "https://mc.cloudpure.cn/api/guyuan/mjs/mjs.min.js"
  const script = document.createElement('script');
  script.type = 'text/javascript';
  script.src = src;
  script.addEventListener('load', () => this._mjsInit(), false);
  document.head.appendChild(script);
};

//---------------------- private ----------------------//

// 加载即调用方法请在此处进行调用
export async function _mjsInit() {
  await mjs.init(this, { vconsole: false })
  // 页面环境：0提交(其它)，1查看，2编辑(审批)
  if (mjs.env) { }
}


//---------------------- event ----------------------//

// 页面节点加载渲染完毕
export function didMount() {
  // 工具库: mjs & 初始化
  this._mjsLoad();
}

// 发票上传
export function onSuccess(file, value) {
  mjs.corp.guyuan.mixedInvoice(file.url)
}

// 发票移除
export function onRemove(file) {
  this.$('tableField_liv5f4d2').setValue([]);
}

// 发票查重、验真
export function beforeSubmit({ formDataMap }) {
  return mjs.corp.guyuan.batchCheck()
}
```

## 发票夹

```
/*** mc 系列之 mjs
 * 对接宜搭公共JavaScript库
 * 公共库地址：https://mc.cloudpure.cn/mjs/mjs.min.js
 ***/
export function _mjsLoad() {
  // const src = "https://mc.cloudpure.cn/mjs/mjs.min.js"
  // const src = "http://127.0.0.1:7001/dist/mjs.js"
  const src = "https://mc.cloudpure.cn/api/guyuan/mjs/mjs.min.js"
  const script = document.createElement('script');
  script.type = 'text/javascript';
  script.src = src;
  script.addEventListener('load', () => this._mjsInit(), false);
  document.head.appendChild(script);
};

//---------------------- private ----------------------//

// 加载即调用方法请在此处进行调用
export async function _mjsInit() {
  await mjs.init(this, { vconsole: false })
  // 页面环境：0提交(其它)，1查看，2编辑(审批)
  if (mjs.env) { }
}

//---------------------- event ----------------------//

// 页面节点加载渲染完毕
export function didMount() {
  // 工具库: mjs & 初始化
  this._mjsLoad();
}

// 发票查重、验真
export function beforeSubmit({ formDataMap }) {
  return mjs.corp.guyuan.validate()
}
```