<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<html>
<head>
    <title>首页</title>
    <meta name="author" content="pan_junbiao的博客">
</head>
<body>
<h3>使用JSP表达式：</h3>
用户姓名：<%= request.getAttribute("name") %><br/>
博客地址：<%= request.getAttribute("blog") %><br/>
备注信息：<%= request.getAttribute("remark") %><br/>

<h3>使用EL表达式语言：</h3>
用户姓名：${requestScope.name}<br/>
博客地址：${requestScope.blog}<br/>
备注信息：${requestScope.remark}<br/>

<h3>使用JSTL标签库：</h3>
用户姓名：<c:out value="${requestScope.name}"/><br/>
博客地址：<c:out value="${requestScope.blog}"/><br/>
备注信息：<c:out value="${requestScope.remark}"/><br/>
</body>
</html>