package com.malk.server.aliyun;

import com.malk.server.common.McException;
import com.malk.server.common.VenR;
import lombok.Data;

/**
 * 返回数据_阿里云
 */
@Data
public class ALYR<T> extends VenR {

    private boolean success;

    private String code;

    private String message;

    private String description;

    private T data;

    // 成功状态标记
    private final static String SUC_CODE = "0";

    /**
     * 断言错误信息
     */
    @Override
    public void assertSuccess() {
        McException.assertException(!code.equals(SUC_CODE), code, message + " >>> " + description, "aliyun");
    }
}
