package com.malk.server.common;

import lombok.Data;
import org.springframework.data.domain.PageRequest;

import java.util.List;

/**
 * 分页集合数据结构
 */
@Data
public class McPage {

    private int page;

    private int size;

    private long total;

    private List list;

    public McPage(PageRequest page, long total, List list) {
        this.page = page.getPageNumber() + 1;
        this.size = page.getPageSize();
        this.total = total;
        this.list = list;
    }
}