package com.malk.service.aliyun;

import java.util.Map;

public interface ALYInvoice {


    /// docs: https://market.aliyun.com/products/56928005/cmapi025075.html?spm=5176.730005.result.20.7c113cc6JseHJH&innerSource=search#sku=yuncode1907500007

    /**
     * 阿里发票验真: PDF
     */
    Map<String, ?> invoiceCheckPDF(String appcode, String pdfUrl);

    /**
     * 阿里发票验真: 参数
     */
    Map<String, ?> invoiceCheckCode(String appcode, String fpdm, String fphm, String kprq, String noTaxAmount, String checkCode);

    /**
     * 阿里发票验真: 二维码
     */
    Map<String, ?> invoiceCheckCode(String appcode, String code);

    
    /// 文档: https://market.aliyun.com/products/56928005/cmapi034309.html#sku=yuncode2830900002

    /**
     * 阿里发票验真: image
     */
    Map<String, ?> invoiceCheckOCR(String appcode, String imgUrl);

}
