## 内网穿透

### nginx

需要开443/80端口

### ding

稳定，但https不可用，可能是自定义域名的原因。公网可访问

1. 下载cli `npm install dingtalk-design-cli@latest -g`
2. 检查版本 `ding -v`
3. 启动 `ding ngrok --subdomain mc --port 39991`
4. 代理地址 `http://mc.vaiwan.cn`

### ngrok

不稳定，但https可用，随机域名到国外服务器。自定义域名太麻烦

1. 进入目录 `cd server/_Tool/ngrok`
2. 启动服务 `./ngrok http localhost:39991`

直接启动 `server：/Users/malk/server/_Tool/ngrok/ngrok  http localhost:39991`

### nginx

被本地代理，配置https，修改host访问。只能本地访问有效

以 `mc.100ali.com` 为例

1. Mac配置Host域名映射

    - 编辑：`sudo vim /etc/hosts`
    - 添加：`127.0.0.1       mc.100ali.com`

2. 配置本地nginx和ssl证书，配置文件详见 `java-mcli`：路径 `mjava/test/resources/nginx/*`

